[问题]firefox经常自动关闭

为当前最终发行版之前的所有版本提供支持
回复
lieil
帖子: 18
注册时间: 2006-11-11 8:59
送出感谢: 0
接收感谢: 0

[问题]firefox经常自动关闭

#1

帖子 lieil » 2006-11-20 12:34

我在ubuntu上使用firefox的过程中,在打开某些网页,或者点击标签上的“十字叉”关闭某些网页的时候,firefox就经常自动关闭了,不胜其扰 ,大家看看是什么问题?
头像
zhuqin_83
帖子: 10606
注册时间: 2006-05-13 4:02
送出感谢: 0
接收感谢: 7 次
联系:

#2

帖子 zhuqin_83 » 2006-11-20 12:36

你试试安装tab mix plus插件。
可以设置成关闭最后一个标签时不关闭浏览器。
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo
头像
xiaosilent
帖子: 513
注册时间: 2006-05-09 9:59
来自: 四川成都
送出感谢: 1 次
接收感谢: 0
联系:

#3

帖子 xiaosilent » 2006-11-20 12:49

zhuqin_83 写了:你试试安装tab mix plus插件。
可以设置成关闭最后一个标签时不关闭浏览器。
不装插件在关闭最后一个标签页的时候也不会关闭浏览器吧?

我反倒怀疑是因为某些插件引起的。比方说,flash9 beta 之类的 ?
aBiNg
帖子: 1331
注册时间: 2006-07-09 12:22
来自: 南京
送出感谢: 0
接收感谢: 2 次

#4

帖子 aBiNg » 2006-11-20 13:39

新版的flashplayer有bug,可以试着这样操作:

代码: 全选

$cd ~/
$mkdir -p ~/.mozilla/firefox/plugins
$wget -c http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_7_linux.tar.gz
$tar zxvf install_flash_*.tar.gz && rm install_flash_*.tar.gz
$cd install_flash_*

$./flashplayer-installer
或者
$cp flash*.xpt lib*.so ~/.mozilla/firefox/plugins/

rm -rf install_flash_*
aBiNg
帖子: 1331
注册时间: 2006-07-09 12:22
来自: 南京
送出感谢: 0
接收感谢: 2 次

#5

帖子 aBiNg » 2006-11-20 16:05

不好意思,这个问题仍然得不到解决,下面的方法只能应付某些网站,不是所有!所以可以改回使用firefox1.5.0.8版本。
。。。
lieil
帖子: 18
注册时间: 2006-11-11 8:59
送出感谢: 0
接收感谢: 0

#6

帖子 lieil » 2006-11-20 18:22

楼上是??!!
我现在都 不太敢关标签页了。。。以前怎么就没问题,今天才出现的。
aBiNg
帖子: 1331
注册时间: 2006-07-09 12:22
来自: 南京
送出感谢: 0
接收感谢: 2 次

#7

帖子 aBiNg » 2006-11-20 19:29

http://www.mozilla.com/en-US/firefox/

下载官方firefox2.0简体中文版,解压,放到合适的目录,并添加FX2.0到$PATH,就可以了。没有崩溃的情况。
ubuntu-edgy源里面的firefox2.0,可能有待升级了。。。
lieil
帖子: 18
注册时间: 2006-11-11 8:59
送出感谢: 0
接收感谢: 0

#8

帖子 lieil » 2006-11-20 22:15

谢谢楼上 :em01
我用ubuntu是个十足的新手,你能不能详细说明一下:放到合适的目录是指?把firefox2.0放到 $PATH具体怎么操作?原来的firefox不用卸载吗?一些相关插件是否要从新安装,如果是,又怎么操作呢?
问题似乎多了一点

:em03
aBiNg
帖子: 1331
注册时间: 2006-07-09 12:22
来自: 南京
送出感谢: 0
接收感谢: 2 次

#9

帖子 aBiNg » 2006-11-20 22:36

lieil 写了:谢谢楼上
我用ubuntu是个十足的新手,你能不能详细说明一下:放到合适的目录是指?把firefox2.0放到 $PATH具体怎么操作?原来的firefox不用卸载吗?一些相关插件是否要从新安装,如果是,又怎么操作呢?
问题似乎多了一点
不用客气!我也是菜鸟呢。 :wink:

“合适的目录”,诸如"/opt || /usr/local"等等之类,并非特指。

比如你将firefox2.0放到了到了“/opt”下,就可以这样操作一下:

代码: 全选

$echo -e "\nexport PATH=$PATH:/opt/firefox2.0" >> ~/.bashrc
重启终端之后,就可以直接在终端执行"$firefox"来启动firefox2.0了。
注:能够直接从终端启动的命令都在$PATH变量中,可以通过执行“$echo $PATH"查看之。
或者
在创建启动器的时候,命令一栏输入“/opt/firefox2.0/firefox %u"即可。这样无须更改默认$PATH。推荐之!

不要尝试去卸载原来的firefox,插件也无须重装,程序会自动加载“~/.mozilla/{plugins,firefox}"中的扩展和插件的,除非它被安装在“/usr”目录中。
lieil
帖子: 18
注册时间: 2006-11-11 8:59
送出感谢: 0
接收感谢: 0

#10

帖子 lieil » 2006-11-21 15:19

我照你说的方法下载了firefox2.0,并解压,然后复制到了/opt下,然后在桌面上建了个启动器,可双击后却没能启动firefox。只在已经打开firefox(原来的)的情况下,双击启动器,可以新开窗口而已。怎么办呢?
gzd900
帖子: 176
注册时间: 2005-12-14 4:37
来自: 十堰
送出感谢: 0
接收感谢: 0
联系:

#11

帖子 gzd900 » 2006-11-22 10:52

如果你安装了某些新的firefox主题,就确实会有这个问题出现。建议你不要随便乱安装firefox主题。
回复

回到 “老旧版本支持”